Redmine - Patch #36844

Cleanup orphaned query and role ids from habtm join table queries_roles
2022-03-27 23:19 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 5.1.0

Description

This follows #36416 where the queries and roles are removed on project delete, but we still need to remove the existing entries using
a migration (patch from #36416#note-9).

Related issues:
Related to Redmine - Patch #36416: Cleanup more dependent objects on project ... Closed

Associated revisions

Revision 21893 - 2022-10-02 22:39 - Marius BALTEANU
Delete orphaned query and role ids from habtm join table (#36844).

History

#1 - 2022-03-27 23:20 - Marius BALTEANU

- Subject changed from Cleanup orphaned queries and roles from habtm join table queries_roles to Cleanup orphaned query and role ids from habtm
join table queries_roles

#2 - 2022-03-27 23:20 - Marius BALTEANU

- Related to Patch #36416: Cleanup more dependent objects on project delete added

#3 - 2022-10-02 22:39 - Marius BALTEANU
- Category set to Code cleanup/refactoring
- Status changed from New to Closed

- Assignee set to Marius BALTEANU

Patch committed.

2025-08-23 1/1



https://www.redmine.org/issues/36416
https://www.redmine.org/issues/36416#note-9
http://www.tcpdf.org

